Update test case reviewer
PUT
/testcases/{id}/updateReviewerUpdates the reviewer of a test case that is currently under review. This service allows changing the reviewer even when a test case is already in the review process.
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestCasesApi(config);
const result = await api.updateReviewer({ "id": 123, "updateReviewerPayload": { "reviewer": "example", "project": 123 }});console.log(result);curl --request PUT \ "https://api.testcollab.io/testcases/123/updateReviewer?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "reviewer": "example", "project": 123}'Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Case ID |
Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
reviewer |
string | Yes | ID of the user to set as the new reviewer |
project |
number | Yes | Project ID to validate permissions |
Response
Section titled “Response”200 — Reviewer updated successfully
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | No | The test case ID |
status |
boolean | No | Operation success status |
message |
string | No | Success message |
reviewer |
string | No | The ID of the new reviewer |
{ "id": 123, "status": true, "message": "example", "reviewer": "example"}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 |
Bad Request - Missing or invalid input |
404 |
Not Found - Resource not found |
500 |
Internal Server Error |